Skip to main content
GET
/
v1
/
ai-variables
/
folders
/
companies
/
{folderId}
Get company AI variable folder
curl --request GET \
  --url https://openapi.enginy.ai/v1/ai-variables/folders/companies/{folderId} \
  --header 'x-api-key: <api-key>'
{
  "status": "success",
  "message": "<string>",
  "data": {
    "id": 123,
    "name": "<string>",
    "parentId": 123,
    "entity": "CONTACT",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "aiVariablesCount": 123,
    "subfoldersCount": 123,
    "children": [
      {
        "id": 123,
        "name": "<string>",
        "parentId": 123,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "entity": "CONTACT",
        "aiVariablesCount": 123,
        "subfoldersCount": 123
      }
    ],
    "parent": {
      "id": 123,
      "name": "<string>"
    },
    "aiVariables": [
      {
        "id": 123,
        "name": "<string>",
        "prompt": "<string>",
        "model": "<string>",
        "outputSchema": {
          "type": "text",
          "values": [
            "<string>"
          ],
          "provideExplanation": true,
          "jsonSchema": "<string>"
        },
        "search": true,
        "entity": "CONTACT",
        "folderId": 123,
        "customWebsiteField": "<string>",
        "description": "<string>",
        "isPublic": true,
        "archivedAt": "2023-11-07T05:31:56Z",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "ancestors": [
      {
        "id": 123,
        "name": "<string>",
        "parentId": 123
      }
    ],
    "totalSubfoldersCount": 123,
    "totalAiVariablesCount": 123
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

folderId
string
required

AI variable folder ID

Response

Folder retrieved successfully

status
enum<string>
required
Available options:
success
message
string
required
data
object
required